#pragma once

#include "BtnST.h"
#include "LifeCakeButtonST.h"
#include "ResourceServerST.h"
#include "Icons.h"

class CDlgLifeCakeButtonST : public CDialog
{
public:
	CDlgLifeCakeButtonST(CWnd* pParent, CResourceServerST* m_pIcons);

	//{{AFX_DATA(CDlgLifeCakeButtonST)
	enum { IDD = IDD_LIFECAKEBUTTONST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgLifeCakeButtonST)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgLifeCakeButtonST)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG

private:
	void OnCancel();
	void OnOK();

	CResourceServerST*	m_pIconsDLL;
	CFont				m_fntFont;

	CLifeCakeButtonST	m_btnKeyboard[3];

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
